org.apache.kylin.jdbc.json

## Class PreparedQueryRequest

- java.lang.Object
- - org.apache.kylin.jdbc.json.QueryRequest
  - - org.apache.kylin.jdbc.json.PreparedQueryRequest

    public class PreparedQueryRequest
    extends QueryRequest

### Constructor Summary

Constructors
Constructor and Description
`PreparedQueryRequest()`

### Method Summary

Methods
`List<StatementParameter>` `getParams()`
`void` `setParams(List<StatementParameter> params)`

### Methods inherited from class org.apache.kylin.jdbc.json.QueryRequest

`getProject, getSql, setProject, setSql`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreparedQueryRequest

    public PreparedQueryRequest()

### Method Detail

#### getParams

    public List<StatementParameter> getParams()

#### setParams

    public void setParams(List<StatementParameter> params)